// ao32aalib.inc
//
// Header file for the ao32aa library

    .ifndef ao32aaLib_inc
    .set    ao32aaLib_inc, 1
    
// Constants:

// Maximum number of signficant digits for
// a double-precision value:

maxDPdigits =	16          

// Maximum number of signficant digits for
// a double-precision value:

maxSPdigits =	7

// Tab character code:

tab	  		=	9
          


/////////////////////////////////////////////
//
// External declarations for procedures:
	
// print function:

	.extern	print

// Lookup tables for the integer->hex
// conversion functions:
        
    .extern h32LookupTable256
    .extern h32LookupTable16
        
// Conversion functions:
//
//   Hexadecimal:

    .extern h32ToStr
    .extern h32ToStr_
    .extern h32ToStrNLZ
    .extern h32ToStrB
    .extern h32ToStr_B
    .extern h32ToStrW
    .extern h32ToStr_W
    
    .extern	h32PadStr
    .extern h32FmtStr
    .extern h32FmtStr_
    .extern h32FmtStrNLZ
    .extern h32FmtStrB
    .extern h32FmtStr_B
    .extern h32FmtStrW
    .extern h32FmtStr_W
    
//  Decimal

	.extern	u32ToStrNoDigits
	.extern	u32ToBufRev
	.extern u32ToBuf
	.extern	u32ToStr
	.extern u32FmtStr
	.extern	u32Digits

	.extern	i32ToStr
	
	.extern	bufToH32
	.extern	bufToU32
	.extern	bufToI32


// 64-bit Decimal:

	.extern	u64Digits
	.extern	u64ToBufRev
	.extern u64ToBuf
	.extern u64ToStr
	.extern u64FmtStr

	.extern i64ToBuf
	.extern i64ToStr
	.extern i64FmtStr
	
// Floating-point

	.extern	expToBuf
	
	.extern	r64ToStr
	.extern	r64ToBuf
	.extern	e64ToStr
	.extern	e64ToBuf
	
	.extern	r32ToStr
	.extern	r32ToBuf
	.extern	e32ToStr
	.extern	e32ToBuf
	
	.extern	bufToR64
	.extern	bufToR32

    
    
    .endif	// ao32aaLib_inc
