// h32FmtStr.S
//
// Formatted hexadecimal conversion functions.

    #include    "ao32aaLibPrivate.inc"

    .text
    .align      2
	
	

/////////////////////////////////////////////////////
//            
// h32FmtStr
//
// Inputs:
//
//  R0: Pointer to buffer to hold the result
//  R1: Integer to convert to a hexadecimal string
//  R2: Minimum field width
//  R3: Fill character
//
//  If R2 is greater than 8, output R2-8 fill 
//  characters before doing the conversion.


    proc        h32FmtStr, thumb, public
    push        {r0, r4, lr}
	
	// Subtract the fixed size of an h32ToStr
	// conversion:
	 
    subs		r4, r2, #8
		
	// If the result is greater than zero,
	// must add some padding characters:
	
	cmp			r4, #0	
	it			gt
	blgt		h32PadStr
	
	// Append the conversion characters to
	// the end of any fill chars added to
	// the string:
	
    bl          h32ToStr
    pop         {r0, r4, pc}    
    endp        h32FmtStr
        
        
        
