// h32FmtStrNLZ.S
//
// Formatted hexadecimal conversion functions.

    #include    "ao32aaLibPrivate.inc"

    .text
    .align      2

/////////////////////////////////////////////////////
//            
// h32FmtNLZStr
//
// Formatted hex output when there are no leading
// zeros emitted.
//
// Inputs:
//
//  R0: Pointer to buffer to hold the result
//  R1: Integer to convert to a hexadecimal string
//  R2: Minimum field width
//  R3: Fill character
//
//  If R2 is greater than 8, output R2-charCnt fill 
//  characters before doing the conversion.


    proc        h32FmtStrNLZ, thumb, public
    push        {r0, r4, lr}
    
	// Count the number of output positions:
	
	outPosns	// Leaves char cnt in R4
		
	// If the minimum count is less than or
	// equal to the computed width, skip
	// the fill characters. Otherwise,
	// emit minimum-computed fill chars.

    subs        r4, r2, r4
	cmp			r4, #0
    it          gt
    blgt        h32PadStr   

    bl          h32ToStrNLZ
    pop         {r0, r4, pc}    
    endp        h32FmtStrNLZ
        
        
        
