// h32FmtStrW.S
//
// Formatted hexadecimal conversion functions.

    #include    "ao32aaLibPrivate.inc"

    .text
    .align      2

/////////////////////////////////////////////////////
//            
// h32FmtStrW
//
// Formatted hex output for halfword output form.
//
// Inputs:
//
//  R0: Pointer to buffer to hold the result
//  R1: Integer to convert to a hexadecimal string
//  R2: Minimum field width
//  R3: Fill character


    proc        h32FmtStrW, thumb, public
    push        {r0, r4, lr}
    
	// Compute the number of output characters.
	// This code adjusts the count so that
	// it is a multiple of four (rounding up
	// values).

	outPosns
	adds		r4, r4, #3
	lsrs		r4, r4, #2
	lsls		r4, r4, #2
	
	// If the minimum count is less than or
	// equal to the computed width, skip
	// the fill characters. Otherwise,
	// emit minimum-computed fill chars.

    subs        r4, r2, r4
	cmp			r4, #0
    it          gt
    blgt        h32PadStr   

    bl          h32ToStrW
    pop         {r0, r4, pc}    
    endp        h32FmtStrW
        
        
        
