// h32FmtStr_B.S
//
// Formatted hexadecimal conversion functions.

    #include    "ao32aaLibPrivate.inc"

    .text
    .align      2

/////////////////////////////////////////////////////
//            
// h32FmtStr_B
//
// Formatted hex output for byte output form with
// underscores.
//
// Inputs:
//
//  R0: Pointer to buffer to hold the result
//  R1: Integer to convert to a hexadecimal string
//  R2: Minimum field width
//  R3: Fill character


    proc        h32FmtStr_B, thumb, public
    push        {r0, r4, lr}
    
	// Compute the number of output characters.
	// This code adjusts the count so that
	// it is a multiple of two (rounding up
	// odd values).

	outPosns
	adds		r4, r4, #1
	lsrs		r4, r4, #1
	lsls		r4, r4, #1
	
	// If more than four digits, add 1 for the
	// underscore character. Note: can't use
	// outPosns_ here because of the rounding
	// immediately above).
	
    cmp     	r4, #4
	it			hi
    addhi   	r4, r4, #1
	
	
	// If the minimum count is less than or
	// equal to the computed width, skip
	// the fill characters. Otherwise,
	// emit minimum-computed fill chars.

    subs        r4, r2, r4
	cmp			r4, #0
    it          gt
    blgt        h32PadStr   

    bl          h32ToStr_B
    pop         {r0, r4, pc}    
    endp        h32FmtStr_B
        
        
        
