// h32ToStr.inc
//
// Formatted hexadecimal conversion functions.

    #include    "ao32aaLibPrivate.inc"

    .text
    .align      2

/////////////////////////////////////////////////////
//            
// h32ToStr
//
// Converts the integer in R1 to an 8-character
// hexadecimal string.

	#define preserve   push {r2, r3}
	#define restore    pop  {r2, r3}

    proc        h32ToStr, thumb, public
    preserve
    ldr         r3, =h32LookupTable256
	emitByte	3, 0    
	emitByte	2, 2
	emitByte	1, 4    
	emitByte	0, 6
	
	// Zero-terminate the string:
	
	mov			r2, #0
	strb		r2, [r0, #8]
    restore
	bx			lr
    endp        h32ToStr
        
        
        
