// h32ToStr_.S
//
// Formatted hexadecimal conversion function that
// emits an underscore between groups of four digits.

    #include    "ao32aaLibPrivate.inc"

    .text
    .align      2

/////////////////////////////////////////////////////
//            
// h32ToStr_
//
// Converts the integer in R1 to an 8-character
// hexadecimal string with an underscore between
// bytes 1 and 2.
//
// Macro notes:
//
//	emitByteL0 changes R2 and it assumes that
//	R3 contains the address of h32LookupTable256.

	#define preserve   push {r2, r3}
	#define restore    pop  {r2, r3}

    proc        h32ToStr_, thumb, public
    preserve
    ldr         r3, =h32LookupTable256
	emitByte	3, 0    
	emitByte	2, 2
	mov			r2, #'_'
	strb		r2, [r0, #4]    
	emitByte	1, 5    
	emitByte	0, 7
	
	// Zero-terminate the string:
	
	mov			r2, #0
	strb		r2, [r0, #9]
    restore
	bx			lr
    endp        h32ToStr_

