// i64ToStr.S
//
// i64ToStr converts a signed 64-bit
// integer in R2:R1 to a string of decimal
// digits, storing the string in the
// location pointed at by R0 (with a
// leading minus sign if the number was
// negative).


	#include	"ao32aaLibPrivate.inc"

	.text
	.align  2
    
////////////////////////////////////////////////
//
//  i64ToStr
//
//	Converts a signed integer to string of decimal
// digits using the minimum number of output
// positions. Zero-terminates the resulting
// string.
//
// Inputs:
//	R0: number to convert
//	R1: pointer to buffer (must have at least
//		12 bytes available in buffer).
    
	
    proc    i64ToStr, thumb, public
	push	{r0, lr}
	bl		i64ToBuf
	
	// Zero-terminate string:
	
	mov		lr, #0	// Use LR as scratchpad
	strb	lr, [r0]
	pop		{r0, pc}	
	endp	i64ToStr 

