// u32Digits.S
//
// u32Digits counts the number of decimal digits 
// required when converting a 32-bit unsigned
// integer to a string of decimal digits.

	#include	"ao32aaLibPrivate.inc"

	.text
	.align  2


// u32Digits
//
// Input:
//	R1: unsigned integer to process.
//
// Output:
//	R4: digit count
//
// Performs a binary search on the values
// 1, 10, 100, 1000, 10000, 100000, 1000000,
// 10000000, 100000000, and 1000000000 to
// determine the number of output positions
// required by the value in R0.
         
	 proc   u32Digits, thumb, public
	 
	 ldr    r4, =100000
	 cmp    r1, r4
	 bhs    ge6
	 movs   r4, #100
	 cmp    r1, r4
	 bhs    ge3
	 
	 // 1 and 2 here:
	 
	 movs   r4, #10
	 cmp    r1, r4
	 mov    r4, #1
	 adcs   r4, r4, #0
	 bx     lr

    // 3, 4, and 5 here:

ge3:    
	ldr     r4, =1000
	cmp     r1, r4
	bhs     ge4
	movs    r4, #3
	bx      lr
    
    // 4 and 5 here here:
    
ge4:    
	ldr     r4, =10000
	cmp     r1, r4
	mov     r4, #4
	adcs    r4, r4, #0
	bx      lr
    
    // 6-10 here:       
ge6:    
	ldr     r4, =100000000
	cmp     r1, r4
	bhs     ge9

	// 6-8 here:
	        
	ldr     r4, =1000000
	cmp     r1, r4
	bhs     ge7
	movs    r4, #6
	bx      lr
    
    // 7-8 here:
    
ge7:    
	ldr     r4, =10000000
	cmp     r1, r4
	mov     r4, #7
	adcs    r4, r4, #0
	bx      lr
    
    // 9-10 here:
                    
ge9:    
	ldr     r4, =1000000000
	cmp     r1, r4
	mov     r4, #9
	adcs    r4, r4, #0
	bx      lr  
	endp    u32Digits  
