// u32ToStr.S
//
// u32ToStr converts an unsigned 32-bit
// integer in R0 to a string of decimal
// digits, storing the string in the
// location pointed at by R1.


	#include	"ao32aaLibPrivate.inc"

	.text
	.align  2
    
////////////////////////////////////////////////
//
//  u32ToStr
//
//	Converts an integer to string of decimal
// digits using the minimum number of output
// positions. Zero-terminates the resulting
// string.
//
// Inputs:
//	R0: pointer to buffer (must have at least
//		11 bytes available in buffer).
//	R1: number to convert
//
// Note: u32ToBuf wipes out the values in R0-R4.
	
    proc    u32ToStr, thumb, public
	push	{r0-r4, lr}
	bl		u32ToBuf
	mov		r1, #0
	str		r1, [r0]
	pop		{r0-r4, pc}
    endp    u32ToStr



