// u64ToStr.S
//
// u64ToStr converts an unsigned 64-bit
// integer in R2:R1 to a string of decimal
// digits, storing the string in the
// location pointed at by R0.


	#include	"ao32aaLibPrivate.inc"

	.text
	.align  2
    
////////////////////////////////////////////////
//
//  u64ToStr
//
//	Converts an integer to string of decimal
// digits using the minimum number of output
// positions. Zero-terminates the resulting
// string.
//
// Inputs:
//	R2:R1-	Number to convert
//	R0-		Pointer to buffer (must have at least
//			21 bytes available in buffer).
//
// Note: u64ToBuf wipes out the values in R0-11.
	
    proc    u64ToStr, thumb, public
	push	{r0-r11, lr}
	bl		u64ToBuf
	mov		r1, #0
	str		r1, [r0]
	pop		{r0-r11, pc}
    endp    u64ToStr



